package-data-downloader: KeyError: 'paquetes'

Bug #1003100 reported by Roy J on 2012-05-22
190
This bug affects 30 people
Affects Status Importance Assigned to Milestone
update-notifier (Ubuntu)
High
Steve Langasek
Precise
High
Steve Langasek
Quantal
High
Steve Langasek

Bug Description

i have upgraded from 3 previous versions from 12.04 - had 1gb free space on / when the 12.04 upgrage was completing - or cleaning up stage - not sure if this is related. till the previous version of 12.04 - 11.10 - the upgrades were smooth.
no big deal if u cant id this issue - worst case i can reformat. on my other laptop, switched to ubuntu with 11.10 and am happy it does my home entertainment and work.
keep up the good work gents and ladies!

ProblemType: Package
DistroRelease: Ubuntu 12.04
Package: update-notifier-common 0.119ubuntu8.2
ProcVersionSignature: Ubuntu 3.2.0-24.38-generic 3.2.16
Uname: Linux 3.2.0-24-generic i686
ApportVersion: 2.0.1-0ubuntu7
Architecture: i386
Date: Tue May 22 23:00:34 2012
ErrorMessage: ErrorMessage: subprocess installed post-installation script returned error exit status 1
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
PackageArchitecture: all
SourcePackage: update-notifier
Title: package update-notifier-common 0.119ubuntu8.2 failed to install/upgrade: ErrorMessage: subprocess installed post-installation script returned error exit status 1
UpgradeStatus: Upgraded to precise on 2012-05-22 (0 days ago)

Roy J (acaenum) wrote :
affects: ubuntu → update-notifier (Ubuntu)
Steve Langasek (vorlon) on 2012-05-22
summary: - package update-notifier-common 0.119ubuntu8.2 failed to install/upgrade:
- ErrorMessage: subprocess installed post-installation script returned
- error exit status 1
+ package-data-KeyError: 'paquetes'
summary: - package-data-KeyError: 'paquetes'
+ package-data-downloader: KeyError: 'paquetes'
Steve Langasek (vorlon) wrote :

The bottom of the python backtrace shows:

  File "/usr/lib/update-notifier/package-data-downloader", line 150, in trigger_update_notifier
    {'packages' : ", ".join(packages)}))
  File "/usr/lib/python2.7/string.py", line 172, in substitute
    return self.pattern.sub(convert, self.template)
  File "/usr/lib/python2.7/string.py", line 162, in convert
    val = mapping[named]
KeyError: 'paquetes'

This indicates that someone has translated the variable name in the template string, which shouldn't have been done. I'll work on correcting this.

Changed in update-notifier (Ubuntu):
importance: Undecided → High
status: New → Triaged
assignee: nobody → Steve Langasek (vorlon)
Steve Langasek (vorlon) on 2012-05-22
Changed in update-notifier (Ubuntu Precise):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Steve Langasek (vorlon)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 0.119ubuntu11

---------------
update-notifier (0.119ubuntu11) quantal; urgency=low

  * po/*.po: the string '$packages' must not be translated, but we currently
    have no way to mark the string as such in the input files. LP: #1003100.
 -- Steve Langasek <email address hidden> Tue, 22 May 2012 21:35:02 +0000

Changed in update-notifier (Ubuntu Quantal):
status: Triaged → Fix Released

Hello Roy, or anyone else affected,

Accepted into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in update-notifier (Ubuntu Precise):
status: Triaged → Fix Committed
Steve Langasek (vorlon) wrote :

The symptom has been fixed now for quantal, but we really want a better permanent fix - one that doesn't present this string for translation at all. After discussing with Colin on IRC, I think what makes most sense here is to generate a separate .pot file using po-debconf and merge it with the intltool-generated one; this would let us use the #flag:translate!:3 po-debconf feature to exclude this from the translation.

Changed in update-notifier (Ubuntu Quantal):
status: Fix Released → Fix Committed

Dear Steve, for a free product, the response time beats industry paid services. Sincere thanks - will do my part and post results.
Live long
Sent from my handheld device.

-----Original Message-----
From: Steve Langasek <email address hidden>
Sender: <email address hidden>
Date: Wed, 23 May 2012 00:07:44
To: <email address hidden>
Reply-To: Bug 1003100 <email address hidden>
Subject: [Bug 1003100] Re: package-data-downloader: KeyError: 'paquetes'

Hello Roy, or anyone else affected,

Accepted into precise-proposed. The package will build now and be
available in a few hours. Please test and give feedback here. See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
enable and use -proposed. Thank you in advance!

** Changed in: update-notifier (Ubuntu Precise)
       Status: Triaged => Fix Committed

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1003100

Title:
  package-data-downloader: KeyError: 'paquetes'

Status in “update-notifier” package in Ubuntu:
  Fix Released
Status in “update-notifier” source package in Precise:
  Fix Committed
Status in “update-notifier” source package in Quantal:
  Fix Released

Bug description:
  i have upgraded from 3 previous versions from 12.04 - had 1gb free space on / when the 12.04 upgrage was completing - or cleaning up stage - not sure if this is related. till the previous version of 12.04 - 11.10 - the upgrades were smooth.
  no big deal if u cant id this issue - worst case i can reformat. on my other laptop, switched to ubuntu with 11.10 and am happy it does my home entertainment and work.
  keep up the good work gents and ladies!

  ProblemType: Package
  DistroRelease: Ubuntu 12.04
  Package: update-notifier-common 0.119ubuntu8.2
  ProcVersionSignature: Ubuntu 3.2.0-24.38-generic 3.2.16
  Uname: Linux 3.2.0-24-generic i686
  ApportVersion: 2.0.1-0ubuntu7
  Architecture: i386
  Date: Tue May 22 23:00:34 2012
  ErrorMessage: ErrorMessage: subprocess installed post-installation script returned error exit status 1
  InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
  PackageArchitecture: all
  SourcePackage: update-notifier
  Title: package update-notifier-common 0.119ubuntu8.2 failed to install/upgrade: ErrorMessage: subprocess installed post-installation script returned error exit status 1
  UpgradeStatus: Upgraded to precise on 2012-05-22 (0 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/update-notifier/+bug/1003100/+subscriptions

Michael S Costello (fraterm) wrote :

After enabling the precise-proposed repository I still run into a dependency issue that disallows the updating of any packages. Is there a way to force the installation of the package with the fix?

Steve Langasek (vorlon) wrote :

Michael, if you're experiencing a dependency issue you will need to post the exact error message for us to be of any help.

tags: added: bugpattern-written
Steve Langasek (vorlon) wrote :

Can anyone who has experienced this bug please confirm that the updated package in precise-proposed, update-notifier 0.119ubuntu8.4, installs correctly for you?

Joe (jmcaretaker) wrote :

I have been running 12.04 since I got the error message and have not had a
problem. My problem is I'm not sure of what to look for if something is
wrong. Like I said I have not had a problem with anything so far. I hope
this helps you.

On Tue, May 29, 2012 at 8:06 PM, Steve Langasek <
<email address hidden>> wrote:

> Can anyone who has experienced this bug please confirm that the updated
> package in precise-proposed, update-notifier 0.119ubuntu8.4, installs
> correctly for you?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1003184).
> https://bugs.launchpad.net/bugs/1003100
>
> Title:
> package-data-downloader: KeyError: 'paquetes'
>
> Status in “update-notifier” package in Ubuntu:
> Fix Committed
> Status in “update-notifier” source package in Precise:
> Fix Committed
> Status in “update-notifier” source package in Quantal:
> Fix Committed
>
> Bug description:
> i have upgraded from 3 previous versions from 12.04 - had 1gb free space
> on / when the 12.04 upgrage was completing - or cleaning up stage - not
> sure if this is related. till the previous version of 12.04 - 11.10 - the
> upgrades were smooth.
> no big deal if u cant id this issue - worst case i can reformat. on my
> other laptop, switched to ubuntu with 11.10 and am happy it does my home
> entertainment and work.
> keep up the good work gents and ladies!
>
> ProblemType: Package
> DistroRelease: Ubuntu 12.04
> Package: update-notifier-common 0.119ubuntu8.2
> ProcVersionSignature: Ubuntu 3.2.0-24.38-generic 3.2.16
> Uname: Linux 3.2.0-24-generic i686
> ApportVersion: 2.0.1-0ubuntu7
> Architecture: i386
> Date: Tue May 22 23:00:34 2012
> ErrorMessage: ErrorMessage: subprocess installed post-installation script
> returned error exit status 1
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
> PackageArchitecture: all
> SourcePackage: update-notifier
> Title: package update-notifier-common 0.119ubuntu8.2 failed to
> install/upgrade: ErrorMessage: subprocess installed post-installation
> script returned error exit status 1
> UpgradeStatus: Upgraded to precise on 2012-05-22 (0 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/update-notifier/+bug/1003100/+subscriptions
>

Roy J (acaenum) wrote :

Hello Steve, it has resolved the problem, my apologies for the delay.
I have 2 laptops with Ubuntu - the one which i upgraded (below fault) - was
my stable laptop, until on my play laptop 11.10 i found stable. So after
the updates failed, i reported the problem and continued using the play
laptop. 2 days back i attempted the upgrade, and it went smooth.
In closing, the concept of 11.10 is nice - publish it lean - let the end
user load what he wants - and provide the software center so that job is
easy.
Good day, Roy.

On Wed, May 30, 2012 at 4:06 AM, Steve Langasek <
<email address hidden>> wrote:

> Can anyone who has experienced this bug please confirm that the updated
> package in precise-proposed, update-notifier 0.119ubuntu8.4, installs
> correctly for you?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1003100
>
> Title:
> package-data-downloader: KeyError: 'paquetes'
>
> Status in “update-notifier” package in Ubuntu:
> Fix Committed
> Status in “update-notifier” source package in Precise:
> Fix Committed
> Status in “update-notifier” source package in Quantal:
> Fix Committed
>
> Bug description:
> i have upgraded from 3 previous versions from 12.04 - had 1gb free space
> on / when the 12.04 upgrage was completing - or cleaning up stage - not
> sure if this is related. till the previous version of 12.04 - 11.10 - the
> upgrades were smooth.
> no big deal if u cant id this issue - worst case i can reformat. on my
> other laptop, switched to ubuntu with 11.10 and am happy it does my home
> entertainment and work.
> keep up the good work gents and ladies!
>
> ProblemType: Package
> DistroRelease: Ubuntu 12.04
> Package: update-notifier-common 0.119ubuntu8.2
> ProcVersionSignature: Ubuntu 3.2.0-24.38-generic 3.2.16
> Uname: Linux 3.2.0-24-generic i686
> ApportVersion: 2.0.1-0ubuntu7
> Architecture: i386
> Date: Tue May 22 23:00:34 2012
> ErrorMessage: ErrorMessage: subprocess installed post-installation script
> returned error exit status 1
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
> PackageArchitecture: all
> SourcePackage: update-notifier
> Title: package update-notifier-common 0.119ubuntu8.2 failed to
> install/upgrade: ErrorMessage: subprocess installed post-installation
> script returned error exit status 1
> UpgradeStatus: Upgraded to precise on 2012-05-22 (0 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/update-notifier/+bug/1003100/+subscriptions
>

--
Roy Jacob
Tel: +971 50 6174295

tags: added: verification-done
Michael S Costello (fraterm) wrote :
Download full text (6.4 KiB)

When Attempting the procedure detailed at https://wiki.ubuntu.com/Testing/EnableProposed:

Here is my result:

# sudo aptitude install update-notifier-common/precise-proposed
The following packages will be upgraded:
  update-notifier-common
The following partially installed packages will be configured:
  ttf-mscorefonts-installer update-notifier
1 packages upgraded, 0 newly installed, 0 to remove and 24 not upgraded.
Need to get 0 B/221 kB of archives. After unpacking 0 B will be used.
Do you want to continue? [Y/n/?] Y
Setting up update-notifier-common (0.119ubuntu8.2) ...
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/andale32.exe
Traceback (most recent call last):
  File "/usr/lib/update-notifier/package-data-downloader", line 234, in process_download_requests
    dest_file = urllib.urlretrieve(files[i])[0]
  File "/usr/lib/python2.7/urllib.py", line 93, in urlretrieve
    return _urlopener.retrieve(url, filename, reporthook, data)
  File "/usr/lib/python2.7/urllib.py", line 239, in retrieve
    fp = self.open(url, data)
  File "/usr/lib/python2.7/urllib.py", line 207, in open
    return getattr(self, name)(url)
  File "/usr/lib/python2.7/urllib.py", line 344, in open_http
    h.endheaders(data)
  File "/usr/lib/python2.7/httplib.py", line 954, in endheaders
    self._send_output(message_body)
  File "/usr/lib/python2.7/httplib.py", line 814, in _send_output
    self.send(msg)
  File "/usr/lib/python2.7/httplib.py", line 776, in send
    self.connect()
  File "/usr/lib/python2.7/httplib.py", line 757, in connect
    self.timeout, self.source_address)
  File "/usr/lib/python2.7/socket.py", line 553, in create_connection
    for res in getaddrinfo(host, port, 0, SOCK_STREAM):
IOError: [Errno socket error] [Errno -2] Name or service not known
Traceback (most recent call last):
  File "/usr/lib/update-notifier/package-data-downloader", line 296, in <module>
    process_download_requests()
  File "/usr/lib/update-notifier/package-data-downloader", line 292, in process_download_requests
    trigger_update_notifier(our_failures)
  File "/usr/lib/update-notifier/package-data-downloader", line 150, in trigger_update_notifier
    {'packages' : ", ".join(packages)}))
  File "/usr/lib/python2.7/string.py", line 172, in substitute
    return self.pattern.sub(convert, self.template)
  File "/usr/lib/python2.7/string.py", line 162, in convert
    val = mapping[named]
KeyError: 'paquetes'
dpkg: error processing update-notifier-common (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of ttf-mscorefonts-installer:
 ttf-mscorefonts-installer depends on update-notifier-common (>= 0.119ubuntu2); however:
  Package update-notifier-common is not configured yet.
dpkg: error processing ttf-mscorefonts-installer (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of update-notifier:
 update-notifier depends on update-notifier-common (= 0.119ubuntu8.4); however:
  Version of update-notifier-common on system is 0.119ubuntu8.2.
dpkg: error processing update-notifier (--configure):
 depende...

Read more...

Steve Langasek (vorlon) wrote :

On Wed, May 30, 2012 at 04:40:08PM -0000, Michael S Costello wrote:
> When Attempting the procedure detailed at
> https://wiki.ubuntu.com/Testing/EnableProposed:

> Here is my result:

> # sudo aptitude install update-notifier-common/precise-proposed
> The following packages will be upgraded:
> update-notifier-common
> The following partially installed packages will be configured:
> ttf-mscorefonts-installer update-notifier
> 1 packages upgraded, 0 newly installed, 0 to remove and 24 not upgraded.
> Need to get 0 B/221 kB of archives. After unpacking 0 B will be used.
> Do you want to continue? [Y/n/?] Y
> Setting up update-notifier-common (0.119ubuntu8.2) ...

This is the broken version of update-notifier-common, not the version that's
supposed to include the fix. Please run 'sudo apt-get update' and try
again.

If you're still having problems, you may have an out-of-date mirror.

Michael S Costello (fraterm) wrote :

Direct removal of ttf-mscorefonts-installer wishes to remove ubuntu-desktop update-notifier. I figured I've been stuck with a broken set of packages for about a week now, and I´m wanting to fix that.

Ran:
sudo aptitude remove ttf-mscorefonts-installer

Indicated Yes when it presents the solution as including a remove of ubuntu-desktop, went ahead and allowed it to proceed with the recommendations. This is the nasty bit of this bug that seems to indicate you are forced to remove loads of stuff to suit this one package.

Only then could I proceed to install update-notifier. Once that occurred, it seems to be a well working fix. Never having run into this error would've been the best situation though as packaging snarls like this make me kick myself for perhaps upgrading too hastily.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 0.119ubuntu8.4

---------------
update-notifier (0.119ubuntu8.4) precise-proposed; urgency=low

  * Rebuild the source package with complete autotools support.

update-notifier (0.119ubuntu8.3) precise-proposed; urgency=low

  * po/*.po: the string '$packages' must not be translated, but we currently
    have no way to mark the string as such in the input files. LP: #1003100.

update-notifier (0.119ubuntu8.2) precise-proposed; urgency=low

  * fix data/Makefile.am to clean up all generated files.
  * fix wrong intltool-merge invocation.
  * data/package-data-downloads-failed{,-permanently}.in: work around a bug in
    intltool-merge rfc822deb handling that causes wrong syntax when the first
    line in the file is a translated field. LP: #993672.
  * use po2debconf instead of the upstream intltool-merge, since the latter
    doesn't actually handle multi-paragraph description fields correctly.
  * Fix package-data-downloader to do a correct timestamp comparison. Thanks
    to Loïc Minier for catching this. LP: #986183.
  * data/package-data-downloads-failed.in: use pkexec instead of gksudo, for
    compatibility with Kubuntu. Thanks to Jonathan Thomas for pointing out
    the correct fix. LP: #982032.
 -- Steve Langasek <email address hidden> Wed, 23 May 2012 00:27:10 +0000

Changed in update-notifier (Ubuntu Precise):
status: Fix Committed → Fix Released
Steve Langasek (vorlon) on 2012-06-22
tags: added: rls-q-notfixing
Steve Langasek (vorlon) on 2012-06-22
Changed in update-notifier (Ubuntu Quantal):
status: Fix Committed → Triaged
Brian Murray (brian-murray) wrote :
Download full text (3.4 KiB)

From VarLogDistupgradeApttermlog.gz:

Setting up update-notifier-common (0.119ubuntu8.2) ...
flashplugin-installer: downloading http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_11.2.202.235.orig.tar.gz
Traceback (most recent call last):
  File "/usr/lib/update-notifier/package-data-downloader", line 234, in process_download_requests
    dest_file = urllib.urlretrieve(files[i])[0]
  File "/usr/lib/python2.7/urllib.py", line 93, in urlretrieve
    return _urlopener.retrieve(url, filename, reporthook, data)
  File "/usr/lib/python2.7/urllib.py", line 239, in retrieve
    fp = self.open(url, data)
  File "/usr/lib/python2.7/urllib.py", line 207, in open
    return getattr(self, name)(url)
  File "/usr/lib/python2.7/urllib.py", line 344, in open_http
    h.endheaders(data)
  File "/usr/lib/python2.7/httplib.py", line 954, in endheaders
    self._send_output(message_body)
  File "/usr/lib/python2.7/httplib.py", line 814, in _send_output
    self.send(msg)
  File "/usr/lib/python2.7/httplib.py", line 776, in send
    self.connect()
  File "/usr/lib/python2.7/httplib.py", line 757, in connect
    self.timeout, self.source_address)
  File "/usr/lib/python2.7/socket.py", line 553, in create_connection
    for res in getaddrinfo(host, port, 0, SOCK_STREAM):
IOError: [Errno socket error] [Errno -2] Name or service not known
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/andale32.exe
Traceback (most recent call last):
  File "/usr/lib/update-notifier/package-data-downloader", line 234, in process_download_requests
    dest_file = urllib.urlretrieve(files[i])[0]
  File "/usr/lib/python2.7/urllib.py", line 93, in urlretrieve
    return _urlopener.retrieve(url, filename, reporthook, data)
  File "/usr/lib/python2.7/urllib.py", line 239, in retrieve
    fp = self.open(url, data)
  File "/usr/lib/python2.7/urllib.py", line 207, in open
    return getattr(self, name)(url)
  File "/usr/lib/python2.7/urllib.py", line 344, in open_http
    h.endheaders(data)
  File "/usr/lib/python2.7/httplib.py", line 954, in endheaders
    self._send_output(message_body)
  File "/usr/lib/python2.7/httplib.py", line 814, in _send_output
    self.send(msg)
  File "/usr/lib/python2.7/httplib.py", line 776, in send
    self.connect()
  File "/usr/lib/python2.7/httplib.py", line 757, in connect
    self.timeout, self.source_address)
  File "/usr/lib/python2.7/socket.py", line 553, in create_connection
    for res in getaddrinfo(host, port, 0, SOCK_STREAM):
IOError: [Errno socket error] [Errno -2] Name or service not known
Traceback (most recent call last):
  File "/usr/lib/update-notifier/package-data-downloader", line 296, in <module>
    process_download_requests()
  File "/usr/lib/update-notifier/package-data-downloader", line 292, in process_download_requests
    trigger_update_notifier(our_failures)
  File "/usr/lib/update-notifier/package-data-downloader", line 150, in trigger_update_notifier
    {'packages' : ", ".join(packages)}))
  File "/usr/lib/python2.7/string.py", line 172, in substitute
    return self.pattern.sub(convert, self.template)
  File "/usr...

Read more...

I just got this error in quantal:

Setting up update-notifier-common (0.123) ...
flashplugin-installer: downloading http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_11.2.202.243.orig.tar.gz
Traceback (most recent call last):
  File "/usr/lib/update-notifier/package-data-downloader", line 296, in <module>
    process_download_requests()
  File "/usr/lib/update-notifier/package-data-downloader", line 292, in process_download_requests
    trigger_update_notifier(our_failures)
  File "/usr/lib/update-notifier/package-data-downloader", line 150, in trigger_update_notifier
    {'packages' : ", ".join(packages)}))
  File "/usr/lib/python2.7/string.py", line 172, in substitute
    return self.pattern.sub(convert, self.template)
  File "/usr/lib/python2.7/string.py", line 162, in convert
    val = mapping[named]
KeyError: 'paquetes'
dpkg: error processing update-notifier-common (--configure):
 subprocess installed post-installation script returned error exit status 1

The postinst failure occurred 3 or 4 times and it finally completed successfully after several tries.

Steve Langasek (vorlon) wrote :

Uploaded a new version of update-notifier to fix the broken translations again :/

Steve Langasek (vorlon) on 2012-10-09
no longer affects: language-pack-gnome-ast (Ubuntu)
no longer affects: language-pack-gnome-ast (Ubuntu Precise)
no longer affects: language-pack-gnome-ast (Ubuntu Quantal)
Steve Langasek (vorlon) on 2012-10-09
no longer affects: language-pack-gnome-gl (Ubuntu Precise)
no longer affects: language-pack-gnome-hr (Ubuntu)
no longer affects: language-pack-gnome-hr (Ubuntu Precise)
no longer affects: language-pack-gnome-gl (Ubuntu Quantal)
no longer affects: language-pack-gnome-hr (Ubuntu Quantal)
no longer affects: language-pack-gnome-gl (Ubuntu)
Kate Stewart (kate.stewart) wrote :

I just got this error in quantal, trying to update from last week to today's. Will try again a bit later after things have hopefully settled down.

Mike Pasche (mike-d-pasche) wrote :

I also just got this while running updates in quantal.

Kate Stewart (kate.stewart) wrote :

based on discussions with adam, it appears that update-notifier being out of date, and triggering this.
Work around: open a terminal, sudo apt-get install update-notifier, re-run software-updater.

Rolf Leggewie (r0lf) wrote :

quantal has seen the end of its life and is no longer receiving any updates. Marking the quantal task for this ticket as "Won't Fix".

Changed in update-notifier (Ubuntu Quantal):
status: Triaged → Won't Fix
To post a comment you must log in.